## mate-rr-crtc mate-rr-crtc |

## Functions

guint32 | mate_rr_crtc_get_id ()
gboolean | mate_rr_crtc_set_config ()
gboolean | mate_rr_crtc_can_drive_output ()
MateRRMode * | mate_rr_crtc_get_current_mode ()
void | mate_rr_crtc_get_position ()
gboolean | mate_rr_crtc_supports_rotation ()
MateRRRotation | mate_rr_crtc_get_current_rotation ()
MateRRRotation | mate_rr_crtc_get_rotations ()

## Types and Values

typedef | MateRRCrtc
enum | MateRRRotation

## Object Hierarchy

## Includes

    #include <mate-rr.h>

## Description

## Functions

### mate_rr_crtc_get_id ()

    guint32
    mate_rr_crtc_get_id (MateRRCrtc *crtc);

#### Returns

### mate_rr_crtc_set_config ()

    gboolean
    mate_rr_crtc_set_config (MateRRCrtc *crtc,
                             int x,
                             int y,
                             MateRRMode *mode,
                             MateRRRotation rotation,
                             MateRROutput **outputs,
                             int n_outputs,
                             GError **error);

`mate_rr_crtc_set_config` is deprecated and should not be used in newly-written code.

#### Returns

### mate_rr_crtc_can_drive_output ()

    gboolean
    mate_rr_crtc_can_drive_output (MateRRCrtc *crtc,
                                   MateRROutput *output);

#### Returns

### mate_rr_crtc_get_current_mode ()

    MateRRMode *
    mate_rr_crtc_get_current_mode (MateRRCrtc *crtc);

#### Returns

### mate_rr_crtc_get_position ()

    void
    mate_rr_crtc_get_position (MateRRCrtc *crtc,
                               int *x,
                               int *y);

### mate_rr_crtc_supports_rotation ()

    gboolean
    mate_rr_crtc_supports_rotation (MateRRCrtc *crtc,
                                    MateRRRotation rotation);

#### Returns

### mate_rr_crtc_get_current_rotation ()

    MateRRRotation
    mate_rr_crtc_get_current_rotation (MateRRCrtc *crtc);

#### Returns

### mate_rr_crtc_get_rotations ()

    MateRRRotation
    mate_rr_crtc_get_rotations (MateRRCrtc *crtc);

#### Returns

## Types and Values

### MateRRCrtc

    typedef struct MateRRCrtc MateRRCrtc;

### enum MateRRRotation

#### Members

MATE_RR_ROTATION_0 |  |
MATE_RR_ROTATION_90 |  |
MATE_RR_ROTATION_180 |  |
MATE_RR_ROTATION_270 |  |
MATE_RR_REFLECT_X |  |
MATE_RR_REFLECT_Y |  |